| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::embed_field Struct Reference

A dpp::embed may contain zero or more fields. More...

`#include <message.h>`

Collaboration diagram for dpp::embed_field:
[legend]

## Public Attributes

bool | is_inline
| True if the field is to be displayed inline.
std::string | name
| Name of field (max length 256).
std::string | value
| Value of field (max length 1024).

## Detailed Description

A dpp::embed may contain zero or more fields.

## Member Data Documentation

## ◆ is_inline

bool dpp::embed_field::is_inline

True if the field is to be displayed inline.

## ◆ name

std::string dpp::embed_field::name

Name of field (max length 256).

## ◆ value

std::string dpp::embed_field::value

Value of field (max length 1024).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0